Package org.apache.tiles.web.jsp.taglib

# Class GetAsStringTag

java.lang.Object
jakarta.servlet.jsp.tagext.SimpleTagSupport
org.apache.tiles.web.jsp.taglib.GetAsStringTag

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.SimpleTag`

public class GetAsStringTag extends jakarta.servlet.jsp.tagext.SimpleTagSupport

Render the value of the specified template attribute to the current Writer

Retrieve the value of the specified template attribute property, and render it to the current Writer as a String. The usual toString() conversions is applied on found value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetAsStringTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doTag()`
  `Object`
  `getDefaultValue()`
  Getter for defaultValue property.
  `String`
  `getDefaultValueRole()`
  Getter for defaultValueRole property.
  `String`
  `getDefaultValueType()`
  Getter for defaultValueType property.
  `String`
  `getName()`
  Getter for name property.
  `String`
  `getPreparer()`
  Getter for preparer property.
  `String`
  `getRole()`
  Getter for role property.
  `Attribute`
  `getValue()`
  Getter for value property.
  `boolean`
  `isIgnore()`
  Getter for ignore property.
  `void`
  `setDefaultValue(Object defaultValue)`
  Setter for defaultValue property.
  `void`
  `setDefaultValueRole(String defaultValueRole)`
  Setter for defaultValueRole property.
  `void`
  `setDefaultValueType(String defaultValueType)`
  Setter for defaultValueType property.
  `void`
  `setIgnore(boolean ignore)`
  Setter for ignore property.
  `void`
  `setName(String name)`
  Setter for name property.
  `void`
  `setPreparer(String preparer)`
  Setter for preparer property.
  `void`
  `setRole(String role)`
  Setter for role property.
  `void`
  `setValue(Attribute value)`
  Setter for value property.

  ### Methods inherited from class jakarta.servlet.jsp.tagext.SimpleTagSupport

  `findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetAsStringTag

    public GetAsStringTag()

- ## Method Details

  - ### isIgnore

    public boolean isIgnore()
    Getter for ignore property.
    Returns:
      If true, if an exception happens during rendering, of if the attribute is null, the problem will be ignored.

  - ### setIgnore

    public void setIgnore(boolean ignore)
    Setter for ignore property.
    Parameters:
      `ignore` - If true, if an exception happens during rendering, of if the attribute is null, the problem will be ignored.

  - ### getPreparer

    public String getPreparer()
    Getter for preparer property.
    Returns:
      The preparer to invoke before rendering the attribute.

  - ### setPreparer

    public void setPreparer(String preparer)
    Setter for preparer property.
    Parameters:
      `preparer` - The preparer to invoke before rendering the attribute.

  - ### getRole

    public String getRole()
    Getter for role property.
    Returns:
      A comma-separated list of roles. If present, the attribute will be rendered only if the current user belongs to one of the roles.

  - ### setRole

    public void setRole(String role)
    Setter for role property.
    Parameters:
      `role` - A comma-separated list of roles. If present, the attribute will be rendered only if the current user belongs to one of the roles.

  - ### getDefaultValue

    public Object getDefaultValue()
    Getter for defaultValue property.
    Returns:
      The default value of the attribute. To use only if the attribute was not computed.

  - ### setDefaultValue

    public void setDefaultValue(Object defaultValue)
    Setter for defaultValue property.
    Parameters:
      `defaultValue` - The default value of the attribute. To use only if the attribute was not computed.

  - ### getDefaultValueRole

    public String getDefaultValueRole()
    Getter for defaultValueRole property.
    Returns:
      The default comma-separated list of roles. To use only if the attribute was not computed.

  - ### setDefaultValueRole

    public void setDefaultValueRole(String defaultValueRole)
    Setter for defaultValueRole property.
    Parameters:
      `defaultValueRole` - The default comma-separated list of roles. To use only if the attribute was not computed.

  - ### getDefaultValueType

    public String getDefaultValueType()
    Getter for defaultValueType property.
    Returns:
      The default type of the attribute. To use only if the attribute was not computed.

  - ### setDefaultValueType

    public void setDefaultValueType(String defaultValueType)
    Setter for defaultValueType property.
    Parameters:
      `defaultValueType` - The default type of the attribute. To use only if the attribute was not computed.

  - ### getName

    public String getName()
    Getter for name property.
    Returns:
      The name of the attribute.

  - ### setName

    public void setName(String name)
    Setter for name property.
    Parameters:
      `name` - The name of the attribute.

  - ### getValue

    public Attribute getValue()
    Getter for value property.
    Returns:
      The attribute to use immediately, if not null.

  - ### setValue

    public void setValue(Attribute value)
    Setter for value property.
    Parameters:
      `value` - The attribute to use immediately, if not null.

  - ### doTag

    public void doTag() throws jakarta.servlet.jsp.JspException, IOException
    Specified by:
      `doTag` in interface `jakarta.servlet.jsp.tagext.SimpleTag`
    Overrides:
      `doTag` in class `jakarta.servlet.jsp.tagext.SimpleTagSupport`
    Throws:
      `jakarta.servlet.jsp.JspException`
      `IOException`